| Liveness Engine SDK Liveness detection engine.

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Enumerations Enumerator Groups Pages
Public Member Functions | List of all members
lsdk::IComplexLiveness Struct Referenceabstract
Liveness detection.

Complex liveness detector interface. More...

`#include <ILiveness.h>`

Inheritance diagram for lsdk::IComplexLiveness:

## Public Member Functions
virtual fsdk::ResultValue < LSDKError, bool > | update (fsdk::Image &rgb, fsdk::Image &map) noexcept=0
| Update liveness state according to image data. More...
Public Member Functions inherited from lsdk::ILiveness
virtual void | reset () noexcept=0
| Reset liveness state to initial condition. More...
virtual fsdk::ResultValue < LSDKError, bool > | update (fsdk::Image &image) noexcept=0
| Update liveness state according to image data. More...
virtual void | runAfter (ILiveness *other) noexcept=0
| Configure this liveness with tracking state from other liveness. More...
virtual bool | getDetection (fsdk::Detection *detection) noexcept=0
| Get fsdk::Detection retrieved from last image. More...
virtual bool | getWarp (fsdk::Image *image) noexcept=0
| Get face warp retrieved from last image. More...
virtual bool | getLandmarks68 (fsdk::Landmarks68 *landmarks68) noexcept=0
| Get 68 facial landmarks extracted from detection from last image. More...
virtual bool | getLandmarks5 (fsdk::Landmarks5 *landmarks5) noexcept=0
| Get 5 facial landmarks extracted from detection from last image. More...
virtual bool | getIrisLandmarks (fsdk::Landmarks< 32 > *irisLandmarks) noexcept=0
| Get 32 iris landmarks extracted from detection from last image. More...
virtual bool | getAngles (Angles *angles) noexcept=0
| Get face angles . More...
virtual bool | getScores (Scores *scores) noexcept=0
| Get face angles . More...
virtual bool | getEyestates (EyeStates *eyeStates) noexcept=0
| Get face angles . More...
virtual fsdk::Result< LSDKError > | loadSettings (fsdk::ISettingsProvider *provider) noexcept=0
| Restore all apropriate settings from given prodvider. More...

## Detailed Description

Complex liveness detector interface.

Note
  This type of liveness requires additional data from depth/infrared cameras (e.g. kinect, xtion etc.).

## Member Function Documentation

virtual fsdk::ResultValue<LSDKError,bool> lsdk::IComplexLiveness::update | ( | fsdk::Image & | rgb,
|  | fsdk::Image & | map
| ) |  |
| pure virtual noexcept

Update liveness state according to image data.

Parameters

  rgb | input colored image. Format must be R8G8B8.
  map | input depth/infrared map. Format must be R16.

Returns
  ResultValue with error code and detected liveness flag.

Note
  Possible output FSDKErrors:
  - `ERR_NOT_INITIALIZED:` Liveness detector requires initialization;
  - `ERR_PRECONDITION_FAILED:` Liveness algorithm not started because of failed precondition;
  - `ERR_NOT_READY:` Liveness require more update calls for precise definition;
  - `ERR_OK:` Liveness is finished, retrive result via ResultValue.getValue();

See Also
  FSDKError for more information.

Note
  Output result: true - liveness confirmed, false - liveness failed.
  update(fsdk::Image&) inherited from ILiveness is used internally, dont use it manually.

The documentation for this struct was generated from the following file:

- /home/gitlab-runner/builds/1zDDKgvN/0/face-recognition/FaceEngine/extern/LivenessEngine/inc/ILiveness.h